Skip to content

Fraud Notifications

  • Endpoint: POST /fraudNotifyUrl
  • Tags: Risk

Description

Fraud notification interface, used to notify merchants of fraudulent transactions, which can be used by merchants to manage fraudulent transactions or users.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesmaxLength: 8API version. Current value: 1.4
keyVersionstringYesmaxLength: 8Signature Algorithm Version, Current value: 1
notifyTimestringYesmaxLength: 32Request time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesmaxLength: 64Merchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringYesmaxLength: 64Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.merchantNostringYesmaxLength: 64Merchant ID unique identification number
data.outUserIdstringYesmaxLength: 64Merchant user unique ID
data.receiveDatestringYesmaxLength: 32Fraud case acceptance time
data.tradeAmountstringYesmaxLength: 20Original transaction amount
data.tradeCreateTimestringYesmaxLength: 32Original transaction creation time
data.tradeCurrencystringYesmaxLength: 3Original transaction currency
data.outTradeNostringYesmaxLength: 64Merchant order number
requestTimestringYesmaxLength: 32Request time, in accordance with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX Time must be within two minutes of the current time
spMerchantNostringNomaxLength: 64Platform merchant number, not required for non-platform merchants
notifyTypestringYesmaxLength: 16Notification type, the current default value is FRAUD, which means user fraud notification
codestringYesmaxLength: 64Notification code, example: APPLY_SUCCESS
msgstringYesmaxLength: 256Notification msg, example: Success.

Example

json
{
  "appId": "486c52f2a774420f8116ce5373a938a1",
  "code": "APPLY_SUCCESS",
  "data": {
    "merchantNo": "P010101145234",
    "outUserId": "28167857",
    "receiveDate": "2024-10-29T20:39:28.925+08:00",
    "tradeAmount": "30.5900",
    "tradeCreateTime": "2024-10-29T20:39:28.925+08:00",
    "tradeCurrency": "EGP",
    "outTradeNo": "12344545"
  },
  "keyVersion": "1",
  "merchantNo": "P01010114547935",
  "msg": "Success.",
  "notifyTime": "2024-10-29T20:39:28.925+08:00",
  "notifyType": "FRAUD",
  "spMerchantNo": "",
  "version": "1.0"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘SUCCESS’ means success
msgstringYesReturn message, ‘Success’

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.